Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361707 - Review Request: openstack-panko - Event storage and REST API
Summary: Review Request: openstack-panko - Event storage and REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-07-29 19:47 UTC by Pradeep Kilambi
Modified: 2017-06-18 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-18 13:43:22 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Pradeep Kilambi 2016-07-29 19:47:59 UTC
Spec URL: https://pkilambi.fedorapeople.org/openstack-panko/openstack-panko.spec
SRPM URL: https://pkilambi.fedorapeople.org/openstack-panko/openstack-panko-1.0.0.0b1-1.fc24.src.rpm

Description: 
Panko provides Events storage and REST API

Fedora Account System Username: pkilambi

Comment 1 Haïkel Guémar 2016-08-31 20:16:05 UTC
Minor changes:
* %{?dist}
* Use of %{upstream_version}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
* use %py2_build/%py2_install
* oslo.config package has an epoch of 2, must be fixed in Requires.

Comment 2 Pradeep Kilambi 2016-08-31 20:26:51 UTC
Thanks Haikel. Addressed your comments. Please review:

Spec URL: https://pkilambi.fedorapeople.org/openstack-panko/openstack-panko.spec
SRPM URL: https://pkilambi.fedorapeople.org/openstack-panko/openstack-panko-1.0.0.0b1-1.fc24.src.rpm

Comment 3 Haïkel Guémar 2016-09-06 08:38:36 UTC
Approved, please submit to review.rdoproject.org

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 17 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1361707-openstack-panko/1361707
     -openstack-panko/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/panko
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/panko,
     /usr/lib/systemd/system, /etc/logrotate.d, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     panko , openstack-panko-api , openstack-panko-common , python-panko-
     tests , openstack-panko-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-panko-1.0.0.0b1-1.el7.noarch.rpm
          openstack-panko-api-1.0.0.0b1-1.el7.noarch.rpm
          openstack-panko-common-1.0.0.0b1-1.el7.noarch.rpm
          python-panko-tests-1.0.0.0b1-1.el7.noarch.rpm
          openstack-panko-doc-1.0.0.0b1-1.el7.noarch.rpm
          openstack-panko-1.0.0.0b1-1.el7.src.rpm
python-panko.noarch: W: no-documentation
openstack-panko-api.noarch: W: no-documentation
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-api
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-dbsync
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-expirer
openstack-panko-common.noarch: W: no-documentation
openstack-panko-common.noarch: W: non-standard-uid /var/log/panko panko
openstack-panko-common.noarch: W: non-standard-gid /etc/logrotate.d/openstack-panko panko
openstack-panko-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-panko
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/api_paste.ini panko
openstack-panko-common.noarch: E: non-readable /etc/panko/api_paste.ini 640
openstack-panko-common.noarch: W: non-standard-uid /var/lib/panko/tmp panko
openstack-panko-common.noarch: W: non-standard-gid /var/lib/panko/tmp panko
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/policy.json panko
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/panko.conf panko
openstack-panko-common.noarch: E: non-readable /etc/panko/panko.conf 640
openstack-panko-common.noarch: W: non-standard-uid /var/lib/panko panko
openstack-panko-common.noarch: W: non-standard-gid /var/lib/panko panko
openstack-panko-common.noarch: W: non-standard-gid /usr/share/panko/panko-dist.conf panko
openstack-panko-common.noarch: E: non-readable /usr/share/panko/panko-dist.conf 640
python-panko-tests.noarch: W: no-documentation
6 packages and 0 specfiles checked; 4 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
python-panko-tests.noarch: W: invalid-url URL: http://github.com/openstack/panko <urlopen error [Errno -2] Name or service not known>
python-panko-tests.noarch: W: no-documentation
openstack-panko-common.noarch: W: invalid-url URL: http://github.com/openstack/panko <urlopen error [Errno -2] Name or service not known>
openstack-panko-common.noarch: W: no-documentation
openstack-panko-common.noarch: W: non-standard-gid /usr/share/panko/panko-dist.conf panko
openstack-panko-common.noarch: E: non-readable /usr/share/panko/panko-dist.conf 0640L
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/policy.json panko
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/panko.conf panko
openstack-panko-common.noarch: E: non-readable /etc/panko/panko.conf 0640L
openstack-panko-common.noarch: W: non-standard-uid /var/log/panko panko
openstack-panko-common.noarch: W: non-standard-gid /etc/logrotate.d/openstack-panko panko
openstack-panko-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-panko
openstack-panko-common.noarch: W: non-standard-uid /var/lib/panko/tmp panko
openstack-panko-common.noarch: W: non-standard-gid /var/lib/panko/tmp panko
openstack-panko-common.noarch: W: non-standard-uid /var/lib/panko panko
openstack-panko-common.noarch: W: non-standard-gid /var/lib/panko panko
openstack-panko-common.noarch: W: non-standard-gid /etc/panko/api_paste.ini panko
openstack-panko-common.noarch: E: non-readable /etc/panko/api_paste.ini 0640L
openstack-panko-doc.noarch: W: invalid-url URL: http://github.com/openstack/panko <urlopen error [Errno -2] Name or service not known>
openstack-panko-api.noarch: W: invalid-url URL: http://github.com/openstack/panko <urlopen error [Errno -2] Name or service not known>
openstack-panko-api.noarch: W: only-non-binary-in-usr-lib
openstack-panko-api.noarch: W: no-documentation
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-dbsync
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-expirer
openstack-panko-api.noarch: W: no-manual-page-for-binary panko-api
python-panko.noarch: W: invalid-url URL: http://github.com/openstack/panko <urlopen error [Errno -2] Name or service not known>
python-panko.noarch: W: no-documentation
5 packages and 0 specfiles checked; 4 errors, 23 warnings.



Requires
--------
python-panko-tests (rpmlib, GLIBC filtered):
    /bin/bash
    python(abi)
    python-panko

openstack-panko-common (rpmlib, GLIBC filtered):
    /bin/sh
    config(openstack-panko-common)
    python-panko

openstack-panko-doc (rpmlib, GLIBC filtered):
    python-panko

openstack-panko-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-panko-common

python-panko (rpmlib, GLIBC filtered):
    PyYAML
    python(abi)
    python-dateutil
    python-debtcollector
    python-keystonemiddleware
    python-lxml
    python-oslo-config
    python-oslo-db
    python-oslo-log
    python-oslo-middleware
    python-oslo-policy
    python-oslo-sphinx
    python-oslo-utils
    python-paste-deploy
    python-pecan
    python-retrying
    python-six
    python-sqlalchemy
    python-sqlalchemy-utils
    python-stevedore
    python-swiftclient
    python-webob
    python-wsme



Provides
--------
python-panko-tests:
    python-panko-tests

openstack-panko-common:
    config(openstack-panko-common)
    openstack-panko-common

openstack-panko-doc:
    openstack-panko-doc

openstack-panko-api:
    openstack-panko-api

python-panko:
    python-panko



Source checksums
----------------
http://tarballs.openstack.org/panko/panko-1.0.0.0b1.tar.gz :
  CHECKSUM(SHA256) this package     : 82913f0436cab045ca7595c2d4e77baa1a5cc1295349e1510f8810bd1c5c10ad
  CHECKSUM(SHA256) upstream package : 82913f0436cab045ca7595c2d4e77baa1a5cc1295349e1510f8810bd1c5c10ad


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1361707 -m rdo-mitaka-el7
Buildroot used: cloud7-openstack-mitaka-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Christopher Brown 2017-06-18 13:43:22 UTC
This landed so closing.


Note You need to log in before you can comment on or make changes to this bug.